[0m


FSIRAND(8)	    UNIX Programmer's Manual	       FSIRAND(8)



[1mNAME
     [0mfsirand - install random inode generation numbers

[1mSYNOPSIS
     fsirand [0m[ [1m-p [0m] _s_p_e_c_i_a_l

[1mDESCRIPTION
     fsirand [0minstalls random inode generation numbers on all the
     inodes on device _s_p_e_c_i_a_l, and also installs a filesystem ID
     in the superblock.  This helps increase the security of
     filesystems exported by NFS.

     [1mfsirand [0mmust be used only on an unmounted filesystem that
     has been checked with _f_s_c_k(8).  The only exception is that
     it can be used on the root filesystem in single-user mode,
     if the system is immediately re-booted afterwords.

[1mOPTIONS
     -p   [0mPrint out the generation numbers for all the inodes,
	  but do not change the generation numbers.

[1mSEE ALSO
     [0m_f_s_c_k(8)
































Printed 5/7/99	    Revision 1.4 of 29/06/90			1



[0m